<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class AssignedCustomerResponse implements \Bushelpowered\Api\Common\HasUpdatedAtTimestamp, \Bushelpowered\Api\Common\HasUpdatedBy
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $customerName The name of the customer, editable*/
    public string $customerName;
    /** @var string[] $accountIds The ERP Account ids associated with the customer*/
    public array $accountIds;
    /** @var string[] $phoneNumbers The phone numbers associated with the customer's identifiers*/
    public array $phoneNumbers;
    /** @var string $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;
    /** @var string $updatedBy Updated by UUID within the microservice.*/
    public string $updatedBy;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $customerName The name of the customer, editable
     * @param  string[]  $accountIds The ERP Account ids associated with the customer
     * @param  string[]  $phoneNumbers The phone numbers associated with the customer's identifiers
     * @param  string  $updatedAt Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $updatedBy Updated by UUID within the microservice.
     */
    public function __construct(string $id, string $customerName, array $accountIds, array $phoneNumbers, string $updatedAt, string $updatedBy)
    {
        $this->id = $id;
        $this->customerName = $customerName;
        $this->accountIds = $accountIds;
        $this->phoneNumbers = $phoneNumbers;
        $this->updatedAt = $updatedAt;
        $this->updatedBy = $updatedBy;
    }
    
    /**
     * @return string Updated date-time within the microservice. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getUpdatedAt(): string
    {
        return $this->updatedAt;
    }
    /**
     * @return string Updated by UUID within the microservice.
     */
    public function getUpdatedBy(): string
    {
        return $this->updatedBy;
    }
}